Bug 180958 - [RHEL4] MCE arg parsing broken on x86-64
[RHEL4] MCE arg parsing broken on x86-64
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
:
: 191141 (view as bug list)
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2006-02-10 14:53 EST by Jim Paradis
Modified: 2013-08-05 21:17 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2006-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 18:15:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Paradis 2006-02-10 14:53:37 EST
This is the RHEL4 version of Bug 171277:

In arch/x86-64/kernel/mce.c:

__setup("mce", mcheck_enable);

The comment above mcheck_enable reads:

/* mce=off disables machine check. Note you can reenable it later
   using sysfs */

The '=' passed to mcheck_enable is not taken into account, and parsing will fail
every time.

Trivial fix.
Comment 1 Jim Paradis 2006-03-01 18:00:14 EST
fix posted to rhkernel-list
Comment 2 Jason Baron 2006-05-09 13:58:33 EDT
committed in stream U4 build 34.10. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 3 Jason Baron 2006-05-12 15:44:49 EDT
*** Bug 191141 has been marked as a duplicate of this bug. ***
Comment 5 Mike Gahagan 2006-06-14 14:21:16 EDT
verified this is working on -39.EL. apperantly the only way to check is look for
the (non)existance of the bank* files in
/sys/devices/system/machinecheck/machinecheck0.

Comment 7 Red Hat Bugzilla 2006-08-10 18:15:30 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html

Note You need to log in before you can comment on or make changes to this bug.